#include <bits/stdc++.h>

using namespace std;

int main()
{
    cin.tie(0);
    cout.tie(0);
    int n, k;
    cin >> n >> k;
    int a[n];
    int index;
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
        if(a[i] == k) index = i + 1;
    }
    if(n == index) cout << a[0];
    else cout << a[index];
    return 0;
}